Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456479

Summary: Gtk-Message: Failed to load module "gnomebreakpad"
Product: [Fedora] Fedora Reporter: Christopher Beland <beland>
Component: bug-buddyAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: apollidoro, edgar.hoch, jgrunhut, rickrich
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-13 01:44:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Christopher Beland 2008-07-24 00:50:03 UTC
When I start "acroread", I get the following message:

Gtk-Message: Failed to load module "gnomebreakpad":
/opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6: version `GLIBCXX_3.4.9'
not found (required by /usr/lib/bug-buddy/libbreakpad.so.0)

I'm not sure if the problem is in bug-buddy or Adobe Reader or somewhere else. 
The reader does seem to function normally, but presumably crash reporting won't
work.  (I haven't had it crash, so I can't confirm that.)

AdobeReader_enu-8.1.2_SU1-1.i486
bug-buddy-2.22.0-2.fc9.i386

Comment 1 Edgar Hoch 2008-12-27 16:18:47 UTC
I have the same problem.
I have Fedora 9 x86_64 and AdobeReader_deu-8.1.3-1.i486.
I additionally have installed bug-buddy.i386 .

Without bug-buddy.i386, the error message when starting acroread is

Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

When bug-buddy.i386 is installed, then the error message changes to this:

Gtk-Message: Failed to load module "gnomebreakpad": /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/bug-buddy/libbreakpad.so.0)


I also have Fedora 10 x86_64 running.
It seems that Fedora 10 does not have this problem.
On Fedora 10 there is also no bug-buddy.i386 necessary.
"acroread" starts without errors.

As "acroread" on Fedora 9 works normally except of the error message and works on Fedora 10 without that error message I think we can leave this unfixed.

Comment 2 Jason Grunhut 2009-01-09 20:20:07 UTC
With Fedora 10 686: all recent updates as of 01/09/09 the error still exists:

Gtk-Message: Failed to load module "gnomebreakpad": /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/bug-buddy/libbreakpad.so.0)

Comment 3 Rick Richardson 2009-01-21 14:47:25 UTC
Works good on Fedora 9! Thanks!

$ pwd
/opt/Adobe/Reader8/Reader/intellinux/lib
$ root mkdir tmp
$ root mv libstdc++.so.6* tmp
$ root mv libgcc_s.so* tmp
$ acroread
$

Comment 4 Jason Grunhut 2009-01-21 15:31:55 UTC
that did the trick, but the directory is 

/opt/Adobe/Reader8/Reader/intellinux/lib/

Comment 5 Bug Zapper 2009-06-10 02:12:32 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Christopher Beland 2009-06-13 01:44:05 UTC
Also working fine with AdobeReader_enu-9.1.1-1.i486 and bug-buddy-2.26.0-2.fc11.x86_64 on Fedora 11 final.